#!/bin/sh

#
# Performs simple tests of the ECPGP programs.
# =============================================
#
mkdir test_results
./EPCGP_1D > test_results/test_data_1D.txt
./EPCGP_1D_spin > test_results/test_data_1D_spin.txt
if diff -q test/test_data_1D.txt test_results/test_data_1D.txt; then
    echo 1D Test passed.
else
    echo 1D Test failed.
    exit 1
fi
if diff -q test/test_data_1D_spin.txt test_results/test_data_1D_spin.txt; then
    echo 1D Spin test passed.
else
    echo 1D Spin test failed.
    exit 1
fi
rm test_results/*.txt
rmdir test_results
